Package org.apache.bcel.classfile

# Class ConstantLong

java.lang.Object
org.apache.bcel.classfile.Constant
org.apache.bcel.classfile.ConstantLong

All Implemented Interfaces:
  `Cloneable`, `ConstantObject`, `Node`

public final class ConstantLong extends Constant implements ConstantObject
This class is derived from the abstract `Constant` and represents a reference to a long object.

See Also:
  - `Constant`

- ## Field Summary

  ### Fields inherited from class org.apache.bcel.classfile.Constant

  `tag`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConstantLong(long bytes)`
  `ConstantLong(ConstantLong c)`
  Initialize from another object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(Visitor v)`
  Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class.
  `void`
  `dump(DataOutputStream file)`
  Dump constant long to file stream in binary format.
  `long`
  `getBytes()`
  `Object`
  `getConstantValue(ConstantPool cp)`
  Gets the object representing the constant, e.g., Long for ConstantLong.
  `void`
  `setBytes(long bytes)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.bcel.classfile.Constant

  `clone, copy, equals, getComparator, getTag, hashCode, readConstant, setComparator`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConstantLong

    public ConstantLong(ConstantLong c)
    Initialize from another object.
    Parameters:
      `c` - Source to copy.

  - ### ConstantLong

    public ConstantLong(long bytes)
    Parameters:
      `bytes` - Data

- ## Method Details

  - ### accept

    public void accept(Visitor v)
    Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
    Specified by:
      `accept` in interface `Node`
    Specified by:
      `accept` in class `Constant`
    Parameters:
      `v` - Visitor object

  - ### dump

    public void dump(DataOutputStream file) throws IOException
    Dump constant long to file stream in binary format.
    Specified by:
      `dump` in class `Constant`
    Parameters:
      `file` - Output file stream
    Throws:
      `IOException` - if an I/O error occurs.

  - ### getBytes

    public long getBytes()
    Returns:
      data, i.e., 8 bytes.

  - ### getConstantValue

    public Object getConstantValue(ConstantPool cp)
    Description copied from interface: `ConstantObject`
    Gets the object representing the constant, e.g., Long for ConstantLong.
    Specified by:
      `getConstantValue` in interface `ConstantObject`
    Parameters:
      `cp` - the constant.
    Returns:
      Long object

  - ### setBytes

    public void setBytes(long bytes)
    Parameters:
      `bytes` - the raw bytes that represent this long

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Constant`
    Returns:
      String representation.